V1MeMealsId
Read your saved food and portion details
Returns the original food snapshots for one of your meals. Later nutrition catalogue changes do not rewrite this record.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/me/meals/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "eatenAt": "2019-08-24T14:15:22Z", "note": "string", "totalKcal": 0, "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "grams": 0, "kcal": 0, "source": "search", "confidence": 0 } ]}